View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011428ParaViewBugpublic2010-11-09 16:242010-11-22 22:31
ReporterAlan Scott 
Assigned ToUtkarsh Ayachit 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.10 
Summary0011428: Left mouse behavour on background is wrong
DescriptionWhen designing the left mouse behavour, try for the following:

Never be obnoxious. I.e., never do something that will often have to be changed again by the user. With that in mind,

* If a user left clicks on the background, leave the pipeline browser as was (This is a CHANGE to current behavior).
* If a user left clicks on the background, and moves the mouse, leave the pipeline browser as was (This is current behavior.)
* If a user left clicks on any object, and doesn't move mouse, select this object in the pipeline browser. (This is current behavior, after a bug fix http://www.paraview.org/Bug/view.php?id=11427 [^]).
* If a user left clicks on an object, and moves the mouse, 3d rotate occurs, objects do not change. (Current behavior).

Please feel free to push back - this is such new behavior that I haven't totally figured out what I want!
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to 0011427closedUtkarsh Ayachit Left mouse behavour is not right 

-  Notes
(0023135)
Ken Moreland (manager)
2010-11-10 11:27

Not counting what is already addressed in bug 0011427, basically the only request is that left clicks in the background do not unselect the pipeline object. I wholeheartedly agree. Left clicks (without dragging) on background should do nothing.
(0023235)
Utkarsh Ayachit (administrator)
2010-11-12 22:30

commit d70dc330b136a82923f8c6f6224b91fe11373132
Merge: 31651c7 038db7b
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Fri Nov 12 22:29:46 2010 -0500

    Merge topic '11428_left_click_behavior_fixes'
    
    038db7b Fixed BUG 0011428. Don't change active source if user clicked on background.
(0023515)
Alan Scott (manager)
2010-11-22 22:31

Looks fabulous to me. Tested remote server, Windows, Master.

- Issue History
Date Modified Username Field Change
2010-11-09 16:24 Alan Scott New Issue
2010-11-10 11:25 Ken Moreland Relationship added related to 0011427
2010-11-10 11:27 Ken Moreland Note Added: 0023135
2010-11-12 22:30 Utkarsh Ayachit Note Added: 0023235
2010-11-12 22:37 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2010-11-12 22:37 Utkarsh Ayachit Status backlog => tabled
2010-11-16 22:17 Utkarsh Ayachit Status tabled => @80@
2010-11-16 22:17 Utkarsh Ayachit Fixed in Version => 3.10
2010-11-16 22:17 Utkarsh Ayachit Resolution open => fixed
2010-11-22 22:31 Alan Scott Note Added: 0023515
2010-11-22 22:31 Alan Scott Status @80@ => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker